Skip to content

submissions_members_retrieve

GET
/api/submissions/{submission_pk}/members/{id}
curl --request GET \
--url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

Retrieve a given member object from a submission.

id
required
string format: uuid

A UUID string identifying this submission member.

submission_pk
required
string format: uuid
X-Workspace
required
string format: uuid

Workspace ID

Media typeapplication/json

Serializer for SubmissionMember model.

object
id
required
string format: uuid
user
required
string format: uuid
role
required
  • owner - owner
  • manager - manager
  • data broker - data broker
  • contributor - contributor
  • collaborator - collaborator
string
Allowed values: owner manager data broker contributor collaborator
submission
required
string format: uuid
created_time
required
string format: date-time
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : object The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
last_edited_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : object The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties

Example

{
"role": "owner"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "uri_validation_error",
"message": "Invalid URI parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "<parameter_name>",
"code": "invalid",
"message": "\"<parameter_value>\" is not a valid UUID."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "submission",
"code": "not_allowed",
"message": "You are not a member of this submission."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}